Ticket #617 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

lib32nss-nonlocal is broken on amd64 Lucid

Reported by: jdreed Owned by: andersk
Priority: blocker Milestone: Summer 2010 (Lucid Deploy)
Component: -- Keywords:
Cc: Fixed in version:
Upstream bug:

Description

infrared-line:~%acroread
(acroread:24072): GLib-WARNING **: getpwuid_r(): failed due to unknown user id 7263)

infrared-line:~%athinfo localhost packages | grep -i nonlocal
lib32nss-nonlocal       1.11-0debathena1~ubuntu10.04
libnss-nonlocal 1.11-0debathena1~ubuntu10.04

Anders says:

   debathena / lucid / andersk  15:14  (Anders Kaseorg)
Hmm, you’re right that lib32nss-nonlocal doesn’t seem to be
functioning.
   debathena / lucid / andersk  15:14  (Anders Kaseorg)
Oh hey, it put the 32-bit library in /emul/ia32-linux/lib.  That’s
never supposed to happen on Ubuntu…                                      

Change History

comment:1 Changed 11 years ago by andersk

  • Status changed from new to proposed

Fixed in r24755 (d’oh).

comment:2 Changed 11 years ago by andersk

Hmm, this needs more work. lib32nss-nonlocal seems to be a 64-bit library on Lucid.

comment:3 Changed 11 years ago by jdreed

  • Priority changed from major to critical

comment:4 Changed 11 years ago by andersk

Fixed harder in r24756.

comment:5 Changed 11 years ago by andersk

  • Status changed from proposed to closed
  • Resolution set to fixed

Moved to production early with ACKs from andersk, broder, geofft, jdreed.

Note: See TracTickets for help on using tickets.